#
# spec file for package python-evas
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-evas
Version:        1.7.0
Release:        2.8
License:        GPLv2
Summary:        Python bindings of evas
Url:            git://git.enlightenment.org/git/e.git
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  evas-devel
BuildRequires:  Cython
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python bindings of evas library, part of EFL.

%package devel
Summary:        Development files for evas python bindings
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       evas-devel
Requires:       Cython
Requires:       python-devel

%description devel
Development files for evas python bindings. Evas is part of EFL.

%prep
%setup -q
# fix weird file
rm include/evas/__init__.py
touch include/evas/__init__.py


%build
%configure --disable-static
make %{?_smp_mflags}

%install
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?mandriva_version}
make install DESTDIR="%buildroot"
%else
%makeinstall
%endif
find %{buildroot}%{_libdir} -name '*.la' -exec rm -v {} \;

%clean
%{?buildroot:rm -rf %{buildroot}}


%files
%defattr(-,root,root)
%{_libdir}/python2.7/site-packages/evas
%{_datadir}/python-evas

%files devel
%defattr(-,root,root)
%{_includedir}/python-evas/
%{_libdir}/pkgconfig/*


%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - 1.7.0-2.8
- Built for Fuduntu

* Tue Nov 20 2012 sleep_walker@suse.cz
- fix fedora builds
* Thu Sep  6 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 8f97f7d6a53e2d2a8750db067a7ad96e8884ba9f
* Thu Jul 12 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 73265c3dce465c392a4be675ae0f1a4a2391f348
* Wed Jun 27 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 1a795a90427ec4e81e64ad20e782492a049ced21
* Mon Jun 25 2012 sleep_walker@suse.cz
- change python-Cython to python-cython
* Mon Jun 25 2012 sleep_walker@suse.cz
- fix devel package dependencies
* Mon Jun 25 2012 sleep_walker@suse.cz
- let there be python-evas
